//----------------------------------------------------------------------------
//  Project Test_At3dx_Lights
//  MicroMouse Productions
//  Copyright  2011-2012. All Rights Reserved.
//  Author: Wayne Hogue
//
//----------------------------------------------------------------------------
#ifndef Test_At3dx_LightsAppH
#define Test_At3dx_LightsAppH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_LightsForm : public TForm
{
__published:	// IDE-managed Components
  TButton *Read3dFile;
  TPanel *ViewPanel;
  TButton *DoStartDll;
  TButton *DoStopDll;
  TCheckBox *Light0;
  TCheckBox *Light1;
  TGroupBox *GroupBox1;
  TRadioButton *TypeKmz;
  TRadioButton *TypeObj;
  TCheckBox *UseOglReplace;
  TCheckBox *UseTextures;
  TCheckBox *AlwaysShowCameraCursor;
  TCheckBox *ReversePan;
  TCheckBox *ReverseZoom;
  TCheckBox *UseWhiteBase;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall Read3dFileClick(TObject *Sender);
  void __fastcall DoStartDllClick(TObject *Sender);
  void __fastcall DoStopDllClick(TObject *Sender);
  void __fastcall Light0Click(TObject *Sender);
  void __fastcall Light1Click(TObject *Sender);
  void __fastcall TypeKmzClick(TObject *Sender);
  void __fastcall TypeObjClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall UseOglReplaceClick(TObject *Sender);
  void __fastcall UseTexturesClick(TObject *Sender);
  void __fastcall UseWhiteBaseClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
  void __fastcall ReversePanClick(TObject *Sender);
  void __fastcall ReverseZoomClick(TObject *Sender);
private:	// User declarations
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(void);
  void __fastcall SetLight0(void);
  void __fastcall SetLight1(void);
  int dllOpen;
  int fileLoaded;
  char inName[MAX_PATH];
  int inputFileType;
  int useTexturesFlag;
  int oglReplaceFlag;
  int useWhiteBaseFlag;
  int reversePanFlag;
  int reverseZoomFlag;
  int alwaysShowCameraCursorFlag;
public:		// User declarations
  __fastcall TTest_At3dx_LightsForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_LightsForm *Test_At3dx_LightsForm;
//---------------------------------------------------------------------------
#endif
 